# Function process_aggregations

- process_aggregations(
  this_table: any,
  aggregations: { [nm: string]: AggregationOptions },
  fldNms: string[],
  values: any[],
  schema: string,
  ): void

  #### Parameters

  - this_table: any
  - aggregations: { [nm: string]: AggregationOptions }
  - fldNms: string[]
  - values: any[]
  - schema: string

  #### Returns void

  - Defined in packages/saltcorn-data/models/internal/query.ts:40